Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 125734 - Statement of files which should be committed after project's incialization is not full
Statement of files which should be committed after project's incialization is...
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P4 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 11:51 UTC by Jana Maleckova
Modified: 2008-02-05 09:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (2.23 KB, patch)
2008-01-22 14:59 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jana Maleckova 2008-01-22 11:51:15 UTC
Product Version: NetBeans IDE Dev (Build 200801220000)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)


Description:
============
Create project with more files, e.g. Java Desktop Application project
Do Initialize Mercurial Project and check statement in output win for Mercurial
There is notice "The 33 project files will be added to the repository for D:\testing_NB\6.0\test ing\DesktopApplication9
on the next commit:" 
but location of all 33 files is not listed as it is usual when the same action is done e.g. on new j2se project where
are only 7 files for commit.
Comment 1 Padraig Obriain 2008-01-22 13:46:36 UTC
We only list the files if there are less than 20 of them We need to pick some limit as there could be thousands of files
in the project being initialized.
Comment 2 Padraig Obriain 2008-01-22 14:59:51 UTC
Created attachment 55371 [details]
proposed patch
Comment 3 Padraig Obriain 2008-01-22 15:01:37 UTC
The proposed patch lists the files if there are less than 500 of them. This is the same number used to limit the output
from commands.
Comment 4 Padraig Obriain 2008-01-23 08:08:31 UTC
IDE:-------------------------------------------------
IDE: [1/23/08 8:07 AM] Committing Files started
Checking in ui/create/CreateAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/create/CreateAction.java,v 
<--  CreateAction.java
new revision: 1.14; previous revision: 1.13
done
Checking in util/HgUtils.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgUtils.java,v  <-- 
HgUtils.java
new revision: 1.28; previous revision: 1.27
done
IDE: [1/23/08 8:07 AM] Committing Files finished
Comment 5 Jana Maleckova 2008-02-05 09:45:45 UTC
I tried to commit over 250 new files and the statement was OK now
verified on

Product Version: NetBeans IDE Dev (Build 200802050005)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo